Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression
Class ExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.expression.ExpressionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EvaluationException, ParseException

    public class ExpressionException

extends java.lang.RuntimeException

Super class for exceptions that can occur whilst processing expressions

Since:
  3.0
Author:
  Andy Clement
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `expressionString`
`protected int` | `position`

Constructor Summary
`ExpressionException(int position, java.lang.String message)` Creates a new expression exception.
`ExpressionException(int position, java.lang.String message, java.lang.Throwable cause)` Creates a new expression exception.
`ExpressionException(java.lang.String message)` Creates a new expression exception.
`ExpressionException(java.lang.String expressionString, int position, java.lang.String message)` Creates a new expression exception.
`ExpressionException(java.lang.String expressionString, java.lang.String message)` Creates a new expression exception.
`ExpressionException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`java.lang.String` | `getExpressionString()`
`int` | `getPosition()`
`java.lang.String` | `toDetailedString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expressionString

    protected java.lang.String expressionString

### position

    protected int position

Constructor Detail

### ExpressionException

    public ExpressionException(java.lang.String expressionString,
                               java.lang.String message)

  Creates a new expression exception.

  Parameters:
    `expressionString` - the expression string
    `message` - a descriptive message

### ExpressionException

    public ExpressionException(java.lang.String expressionString,
                               int position,
                               java.lang.String message)

  Creates a new expression exception.

  Parameters:
    `expressionString` - the expression string
    `position` - the position in the expression string where the problem occurred
    `message` - a descriptive message

### ExpressionException

    public ExpressionException(int position,
                               java.lang.String message)

  Creates a new expression exception.

  Parameters:
    `position` - the position in the expression string where the problem occurred
    `message` - a descriptive message

### ExpressionException

    public ExpressionException(int position,
                               java.lang.String message,
                               java.lang.Throwable cause)

  Creates a new expression exception.

  Parameters:
    `position` - the position in the expression string where the problem occurred
    `message` - a descriptive message
    `cause` - the underlying cause of this exception

### ExpressionException

    public ExpressionException(java.lang.String message)

  Creates a new expression exception.

  Parameters:
    `message` - a descriptive message

### ExpressionException

    public ExpressionException(java.lang.String message,
                               java.lang.Throwable cause)

Method Detail

### toDetailedString

    public java.lang.String toDetailedString()

### getExpressionString

    public final java.lang.String getExpressionString()

### getPosition

    public final int getPosition()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD